package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.EmailTemplateInfoPageQuery;
import com.simuwang.base.pojo.vo.EmailTemplateInfoVO;
import com.simuwang.base.pojo.vo.IdListVO;
import com.simuwang.base.pojo.vo.SaveTemplateInfoVO;
import com.simuwang.base.pojo.vo.StatusVO;

/**
 * FileName: EmailTemplateInfoService
 * Author:   chenjianhua
 * Date:     2024/9/25 18:50
 * Description: ${DESCRIPTION}
 */
public interface EmailTemplateInfoService {
    MybatisPage<EmailTemplateInfoVO> searchTemplateList(EmailTemplateInfoPageQuery emailTemplateInfoPageQuery);

    void deleteTemplateList(IdListVO idListVO);

    void saveTemplateList(SaveTemplateInfoVO saveTemplateInfoVO);

    void deleteApplicationRuleList(IdListVO idListVO);

    void controlTemplateConfig(StatusVO statusVO);

    SaveTemplateInfoVO searchTemplateInfo(Integer id);

    boolean checkConfigKeyUnique(SaveTemplateInfoVO saveTemplateInfoVO);
}
